import { StyleSheet } from 'react-native';
import { Colors } from '../../../theme';
import { getFontSize } from '../../../utils';

export const styles = StyleSheet.create({
  pageWrapper: {
    display: 'flex',
    flexDirection: 'row',
    alignItems: 'center',
    gap: 20
  },
  headerText: {
    flex: 1,
    fontFamily: 'redhat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14)
  },
  usersMap: { height: 140, width: '100%', borderRadius: 12 },
  avatar: {
    borderRadius: 64 / 2,
    width: 64,
    height: 64,
    borderWidth: 2,
    borderColor: Colors.WHITE
  },
  userInfoContainer: {
    display: 'flex',
    justifyContent: 'space-between',
    flexDirection: 'row',
    alignItems: 'center'
  },
  userInfo: {
    display: 'flex',
    flexDirection: 'row',
    gap: 10,
    alignItems: 'center'
  },
  rankingItem: {
    width: '23%',
    margin: '1%',
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    backgroundColor: Colors.FILL_LIGHT,
    borderRadius: 4,
    padding: 4,
    gap: 1
  },
  rankingScore: {
    flex: 0,
    fontFamily: 'montserrat-700',
    color: Colors.DARK_BLUE,
    fontSize: getFontSize(14),
  },
  titleText: {
    flex: 1,
    color: Colors.DARK_BLUE,
    fontWeight: '600',
    fontSize: getFontSize(12)
  },
  linksBox: {
    display: 'flex',
    flexDirection: 'row',
    gap: 15,
    alignItems: 'center',
    paddingBottom: 16
  },
  countryFlag: {
    width: 20,
    height: 20,
    borderRadius: 20 / 2,
    borderWidth: 0.5,
    borderColor: 'gray'
  },
  settingsButton: {
    width: 40,
    height: 40,
    borderRadius: 40 / 2,
    borderWidth: 1,
    borderColor: Colors.LIGHT_GRAY,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  settings: {
    position: 'absolute',
    height: 40,
    width: 40,
    right: -10,
    bottom: -10,
    justifyContent: 'center'
  },
  modal: {
    justifyContent: 'flex-end',
    margin: 0,
  }
});
