import { FC } from 'react';
import { ImageBackground, View, Text, ScrollView } from 'react-native';
import type { NavigationProp } from '@react-navigation/native';

import { Header, PageWrapper } from '../../../components';
import { styles } from './styles';

type Props = {
  navigation: NavigationProp<any>;
};

export const JoinInfoScreen: FC<Props> = ({ navigation }) => {
  return (
    <PageWrapper>
      <Header label={'Join our community'} />
      <ImageBackground
        style={styles.background}
        source={require('../../../../assets/images/nm-background.png')}
      >
        <ScrollView
          style={styles.wrapper}
          showsVerticalScrollIndicator={false}
          contentContainerStyle={styles.contentContainerStyle}
        >
          <Text style={styles.text}>
            Check out our ranking and statistics, see where others are traveling meet with fellow
            travelers on your trips or plan a joint expedition
          </Text>
        </ScrollView>
      </ImageBackground>
    </PageWrapper>
  );
};
