import { CSSProperties } from 'react';
import Device from 'react-native-device-detection';
import { StyleProp } from 'react-native';

export enum Colors {
  ORANGE = '#ED9334',
  DARK_BLUE = '#0F3F4F',
  WHITE = '#FFF',
  DARK_LIGHT = '#E5E5E5',
  RED = '#EF5B5B',
  LIGHT_GRAY = '#C8C8C8',
  TEXT_GRAY = '#3E6471',
  BORDER_LIGHT = '#B7C6CB',
  FILL_LIGHT = '#F4F4F4',
}

export function adaptiveStyle(
  phoneStyle: CSSProperties | CSSProperties[],
  tabletStyle: CSSProperties | CSSProperties[]
): StyleProp<any> {
  return Device.isTablet ? tabletStyle : phoneStyle;
}
